RDKit: RDKit::MolDraw2D Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RDKit::MolDraw2D Class Referenceabstract

`#include <MolDraw2D.h>`

Inheritance diagram for RDKit::MolDraw2D:

## Public Types
enum | OrientType { C = 0, N, E, S, W }
enum | TextDrawType { TextDrawNormal = 0, TextDrawSuperscript, TextDrawSubscript }

## Public Member Functions
| MolDraw2D (int width, int height)
virtual | ~MolDraw2D ()
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::string &legend, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::string &legend, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual Point2D | getDrawCoords (const Point2D &mol_cds) const
virtual Point2D | getDrawCoords (int at_num) const
virtual Point2D | getAtomCoords (const std::pair< int, int > &screen_cds) const
virtual Point2D | getAtomCoords (const std::pair< double, double > &screen_cds) const
virtual Point2D | getAtomCoords (int at_num) const
virtual int | width () const
virtual int | height () const
virtual double | scale () const
virtual void | calculateScale ()
virtual double | fontSize () const
virtual void | setFontSize (double new_size)
virtual void | setColour (const DrawColour &col)
virtual DrawColour | colour () const
virtual void | setDash (const DashPattern &patt)
virtual const DashPattern & | dash () const
virtual void | setLineWidth (int width)
virtual int | lineWidth () const
bool | setStringDrawMode (const std::string &instring, TextDrawType &draw_mode, int &i) const
virtual void | clearDrawing ()=0
virtual void | drawLine (const Point2D &cds1, const Point2D &cds2)=0
virtual void | getStringSize (const std::string &label, double &label_width, double &label_height) const =0
virtual void | drawString (const std::string &str, const Point2D &cds)
virtual void | drawPolygon (const std::vector< Point2D > &cds)=0
virtual void | drawTriangle (const Point2D &cds1, const Point2D &cds2, const Point2D &cds3)
virtual void | drawEllipse (const Point2D &cds1, const Point2D &cds2)
virtual void | drawRect (const Point2D &cds1, const Point2D &cds2)
virtual void | drawAttachmentLine (const Point2D &cds1, const Point2D &cds2, const DrawColour &col, double len=1.0, unsigned int nSegments=8)
virtual void | tagAtoms (const ROMol &mol)
virtual bool | fillPolys () const
virtual void | setFillPolys (bool val)
MolDrawOptions & | drawOptions ()
const MolDrawOptions & | drawOptions () const
const std::vector< Point2D > & | atomCoords () const
const std::vector< std::pair< std::string, OrientType > > & | atomSyms () const

## Detailed Description

Definition at line 76 of file MolDraw2D.h.

## Member Enumeration Documentation

enum RDKit::MolDraw2D::OrientType

Enumerator
C |
N |
E |
S |
W |

Definition at line 78 of file MolDraw2D.h.

enum RDKit::MolDraw2D::TextDrawType

Enumerator
TextDrawNormal |
TextDrawSuperscript |
TextDrawSubscript |

Definition at line 79 of file MolDraw2D.h.

## Constructor & Destructor Documentation

RDKit::MolDraw2D::MolDraw2D | ( | int | width,
|  | int | height
| ) |  |

virtual RDKit::MolDraw2D::~MolDraw2D | ( |  | ) |
| inlinevirtual

Definition at line 86 of file MolDraw2D.h.

## Member Function Documentation

const std::vector<Point2D>& RDKit::MolDraw2D::atomCoords | ( |  | ) | const
| inline

Definition at line 188 of file MolDraw2D.h.

const std::vector<std::pair<std::string, OrientType> >& RDKit::MolDraw2D::atomSyms | ( |  | ) | const
| inline

Definition at line 189 of file MolDraw2D.h.

virtual void RDKit::MolDraw2D::calculateScale | ( |  | ) |
| virtual

virtual void RDKit::MolDraw2D::clearDrawing | ( |  | ) |
| pure virtual

Implemented in RDKit::MolDraw2Dwx, RDKit::MolDraw2DCairo, RDKit::MolDraw2DSVG, and RDKit::MolDraw2DQt.

virtual DrawColour RDKit::MolDraw2D::colour | ( |  | ) | const
| inlinevirtual

Definition at line 140 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::setColour().

virtual const DashPattern& RDKit::MolDraw2D::dash | ( |  | ) | const
| inlinevirtual

Definition at line 143 of file MolDraw2D.h.

virtual void RDKit::MolDraw2D::drawAttachmentLine | ( | const Point2D & | cds1,
|  | const Point2D & | cds2,
|  | const DrawColour & | col,
|  | double | len = `1.0`,
|  | unsigned int | nSegments = `8`
| ) |  |
| virtual

virtual void RDKit::MolDraw2D::drawEllipse | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |
| virtual

Reimplemented in RDKit::MolDraw2DSVG.

virtual void RDKit::MolDraw2D::drawLine | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |
| pure virtual

Implemented in RDKit::MolDraw2DCairo, RDKit::MolDraw2Dwx, RDKit::MolDraw2DSVG, and RDKit::MolDraw2DQt.

virtual void RDKit::MolDraw2D::drawMolecule | ( | const ROMol & | mol,
|  | const std::vector< int > * | highlight_atoms = `NULL`,
|  | const std::map< int, DrawColour > * | highlight_map = `NULL`,
|  | const std::map< int, double > * | highlight_radii = `NULL`,
|  | int | confId = `-1`
| ) |  |
| virtual

virtual void RDKit::MolDraw2D::drawMolecule | ( | const ROMol & | mol,
|  | const std::string & | legend,
|  | const std::vector< int > * | highlight_atoms = `NULL`,
|  | const std::map< int, DrawColour > * | highlight_map = `NULL`,
|  | const std::map< int, double > * | highlight_radii = `NULL`,
|  | int | confId = `-1`
| ) |  |
| virtual

virtual void RDKit::MolDraw2D::drawMolecule | ( | const ROMol & | mol,
|  | const std::vector< int > * | highlight_atoms,
|  | const std::vector< int > * | highlight_bonds,
|  | const std::map< int, DrawColour > * | highlight_atom_map = `NULL`,
|  | const std::map< int, DrawColour > * | highlight_bond_map = `NULL`,
|  | const std::map< int, double > * | highlight_radii = `NULL`,
|  | int | confId = `-1`
| ) |  |
| virtual

virtual void RDKit::MolDraw2D::drawMolecule | ( | const ROMol & | mol,
|  | const std::string & | legend,
|  | const std::vector< int > * | highlight_atoms,
|  | const std::vector< int > * | highlight_bonds,
|  | const std::map< int, DrawColour > * | highlight_atom_map = `NULL`,
|  | const std::map< int, DrawColour > * | highlight_bond_map = `NULL`,
|  | const std::map< int, double > * | highlight_radii = `NULL`,
|  | int | confId = `-1`
| ) |  |
| virtual

MolDrawOptions& RDKit::MolDraw2D::drawOptions | ( |  | ) |
| inline

Definition at line 185 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::clearDrawing().

const MolDrawOptions& RDKit::MolDraw2D::drawOptions | ( |  | ) | const
| inline

Definition at line 186 of file MolDraw2D.h.

virtual void RDKit::MolDraw2D::drawPolygon | ( | const std::vector< Point2D > & | cds | ) |
| pure virtual

Implemented in RDKit::MolDraw2Dwx, RDKit::MolDraw2DCairo, RDKit::MolDraw2DSVG, and RDKit::MolDraw2DQt.

virtual void RDKit::MolDraw2D::drawRect | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |
| virtual

virtual void RDKit::MolDraw2D::drawString | ( | const std::string & | str,
|  | const Point2D & | cds
| ) |  |
| virtual

Reimplemented in RDKit::MolDraw2DSVG.

virtual void RDKit::MolDraw2D::drawTriangle | ( | const Point2D & | cds1,
|  | const Point2D & | cds2,
|  | const Point2D & | cds3
| ) |  |
| virtual

virtual bool RDKit::MolDraw2D::fillPolys | ( |  | ) | const
| inlinevirtual

Definition at line 182 of file MolDraw2D.h.

virtual double RDKit::MolDraw2D::fontSize | ( |  | ) | const
| inlinevirtual

Definition at line 134 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::setFontSize().

virtual Point2D RDKit::MolDraw2D::getAtomCoords | ( | const std::pair< int, int > & | screen_cds | ) | const
| virtual

virtual Point2D RDKit::MolDraw2D::getAtomCoords | ( | const std::pair< double, double > & | screen_cds | ) | const
| virtual

virtual Point2D RDKit::MolDraw2D::getAtomCoords | ( | int | at_num | ) | const
| virtual

virtual Point2D RDKit::MolDraw2D::getDrawCoords | ( | const Point2D & | mol_cds | ) | const
| virtual

Referenced by RDKit::MolDraw2Dwx::drawLine(), and RDKit::MolDraw2Dwx::drawPolygon().

virtual Point2D RDKit::MolDraw2D::getDrawCoords | ( | int | at_num | ) | const
| virtual

virtual void RDKit::MolDraw2D::getStringSize | ( | const std::string & | label,
|  | double & | label_width,
|  | double & | label_height
| ) |  | const
| pure virtual

Implemented in RDKit::MolDraw2Dwx, RDKit::MolDraw2DCairo, RDKit::MolDraw2DSVG, and RDKit::MolDraw2DQt.

virtual int RDKit::MolDraw2D::height | ( |  | ) | const
| inlinevirtual

Definition at line 129 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::clearDrawing(), and RDKit::MolDraw2Dwx::getStringSize().

virtual int RDKit::MolDraw2D::lineWidth | ( |  | ) | const
| inlinevirtual

Definition at line 146 of file MolDraw2D.h.

virtual double RDKit::MolDraw2D::scale | ( |  | ) | const
| inlinevirtual

Definition at line 131 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::getStringSize(), and RDKit::MolDraw2Dwx::setFontSize().

virtual void RDKit::MolDraw2D::setColour | ( | const DrawColour & | col | ) |
| inlinevirtual

Reimplemented in RDKit::MolDraw2DCairo, RDKit::MolDraw2Dwx, RDKit::MolDraw2DSVG, and RDKit::MolDraw2DQt.

Definition at line 139 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::setColour().

virtual void RDKit::MolDraw2D::setDash | ( | const DashPattern & | patt | ) |
| inlinevirtual

Definition at line 142 of file MolDraw2D.h.

virtual void RDKit::MolDraw2D::setFillPolys | ( | bool | val | ) |
| inlinevirtual

Definition at line 183 of file MolDraw2D.h.

virtual void RDKit::MolDraw2D::setFontSize | ( | double | new_size | ) |
| virtual

Reimplemented in RDKit::MolDraw2DCairo, RDKit::MolDraw2DSVG, RDKit::MolDraw2Dwx, and RDKit::MolDraw2DQt.

Referenced by RDKit::MolDraw2Dwx::setFontSize().

virtual void RDKit::MolDraw2D::setLineWidth | ( | int | width | ) |
| inlinevirtual

Definition at line 145 of file MolDraw2D.h.

References width().

bool RDKit::MolDraw2D::setStringDrawMode | ( | const std::string & | instring,
|  | TextDrawType & | draw_mode,
|  | int & | i
| ) |  | const

virtual void RDKit::MolDraw2D::tagAtoms | ( | const ROMol & | mol | ) |
| inlinevirtual

Reimplemented in RDKit::MolDraw2DSVG.

Definition at line 180 of file MolDraw2D.h.

References RDUNUSED_PARAM.

virtual int RDKit::MolDraw2D::width | ( |  | ) | const
| inlinevirtual

Definition at line 128 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::clearDrawing(), RDKit::MolDraw2Dwx::getStringSize(), and setLineWidth().

The documentation for this class was generated from the following file:

- MolDraw2D.h